%% tclp__def.pl
%% Copyright (C) 2001,2002 INRIA Emmanuel Coquery

%% This library is free software; you can redistribute it and/or
%% modify it under the terms of the GNU Lesser General Public
%% License as published by the Free Software Foundation; either
%% version 2.1 of the License, or (at your option) any later version.

%% This library is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%% Lesser General Public License for more details.

%% You should have received a copy of the GNU Lesser General Public
%% License along with this library; if not, write to the Free Software
%% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                                           %%
%%                                  TCLP                                     %%
%%                                                                           %%
%%         Emmanuel Coquery, projet Contraintes, INRIA Rocquencourt          %%
%%                                                                           %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% $Header: /home/yquem/contraintes/coquery/cvs/contraintes/tclpchr/src/tclp/tclp__def.pl,v 1.2 2003/09/01 14:56:36 coquery Exp $

%% This module provide definitions that can be used when using tclp

:- module(tclp__def,[builtin_type/2]).

%:- op(501, xfx, ['--']).

builtin_type(integer, int) :- !.
builtin_type(float, float) :- !.
builtin_type(atom, atom) :- !.
builtin_type(top, top) :- !.
builtin_type(term, term) :- !.
builtin_type(bot, bottom) :- !.
builtin_type(bottom, bottom) :- !.
builtin_type(predicate, pred) :- !.
builtin_type(goal, goal) :- !.
builtin_type(character, character) :- !.
builtin_type(in_character, in_character) :- !.
builtin_type(byte, byte) :- !.
builtin_type(in_byte, in_byte) :- !.
builtin_type(A,B) :-
        var(B) ->
        write('No builtin type for '), write(A), nl, fail.
